<?php



class TarifasDestinoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TarifasDestinoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('TARIFAS_DESTINO');
		$tMap->setPhpName('TarifasDestino');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('NITOCC', 'Nitocc', 'double' , CreoleTypes::NUMERIC, 'TERCEROS', 'NITOCC', true, 22);

		$tMap->addForeignPrimaryKey('ID_COMISION', 'IdComision', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addForeignPrimaryKey('VIGENCIA', 'Vigencia', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addForeignPrimaryKey('ID_TARIFA', 'IdTarifa', 'double' , CreoleTypes::NUMERIC, 'TARIFAS_TAXIS', 'ID', true, 22);

		$tMap->addColumn('NUM_VIAJES', 'NumViajes', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('TOTAL', 'Total', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 